package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.DepositExcelVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.DepositRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.DepositDO;

import java.util.List;

/**
 * 长者押金 Service 接口
 *
 * @author 管理员
 */
public interface DepositService {


    void pay(DepositDO createReqVO);

    DepositDO getDepositDetails(Long id);

    void refund(DepositDO updateReqVO);

    PageResult<DepositDO> getDepositPage(DepositRecordPageReqVO pageReqVO);

    void consumption(DepositDO updateReqVO);

    List<DepositExcelVO> exportDepositExcel(DepositRecordPageReqVO pageReqVO);
}